> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rcur.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Show follow-up



## OpenAPI

````yaml /openAPI.json get /api/v2/follow-ups/{id}
openapi: 3.0.2
info:
  title: Laravel
  version: 2.0.0
servers:
  - url: https://rcur.app
security:
  - '': []
tags:
  - name: Customers
  - name: Payment Links
  - name: Subscriptions
  - name: Follow-ups
  - name: Orders
  - name: Payments
  - name: Mandates
  - name: Products
  - name: Organization
paths:
  /api/v2/follow-ups/{id}:
    get:
      tags:
        - Follow-ups
      summary: Show follow-up
      responses:
        '200':
          description: Follow-up details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Followup'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Followup:
      type: object
      required:
        - id
        - description
        - type
        - status
        - amount
        - currency
        - created_at
      properties:
        id:
          type: string
          example: fu_abc123
        description:
          type: string
          example: Failed payment for subscription
        type:
          enum:
            - both
            - link
            - retry
          type: string
          example: retry
        status:
          enum:
            - pending
            - solved
            - failed
          type: string
          example: pending
        amount:
          type: string
          example: '29.99'
        currency:
          enum:
            - EUR
          type: string
          example: EUR
        mollie_profile_id:
          type: string
          nullable: true
          example: pfl_abc123
        mollie_payment_id:
          type: string
          nullable: true
          example: tr_abc123
        reason:
          type: string
          nullable: true
          example: Insufficient funds
        reason_code:
          type: string
          nullable: true
          example: AM04
        retries_done:
          type: integer
          example: 2
        mails_sent:
          type: integer
          example: 1
        next_retry_at:
          type: string
          nullable: true
          example: '2025-02-01'
        created_at:
          type: string
          example: '2025-01-15 10:30:00'
        customer:
          type: object
          nullable: true
        subscription:
          type: object
          nullable: true
        order:
          type: object
          nullable: true
    Error:
      type: object
      required:
        - status
        - error
      properties:
        status:
          type: integer
          example: 404
        error:
          type: string
          example: Resource not found

````